%global appid eu.scarpetta.PDFMixTool

Name:           pdfmixtool
Version:        1.1.1
Release:        %mkrel 2
Summary:        Application to split, merge, rotate and mix PDF files
Group:          Publishing
License:        GPL-3.0-or-later
URL:            https://scarpetta.eu/pdfmixtool
Source0:        https://gitlab.com/scarpetta/pdfmixtool/-/archive/v%{version}/%{name}-v%{version}.tar.gz
# cmake: Don't downgrade default standards
Patch0:         0001-cmake_Do-not-downgrade-default-standards.patch
Patch1:         fix-missing-definitions.patch

BuildRequires:  cmake
BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  pkgconfig(Magick++)
BuildRequires:  pkgconfig(libqpdf)

Requires:       qtsvg6

%description
PDF Mix Tool is a simple and lightweight application that allows
you to perform common editing operations on PDF files.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake_qt6 -DQT_VERSION=6
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md CHANGELOG.md AUTHORS.md TRANSLATORS.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_metainfodir}/%{appid}.appdata.xml


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.1.1-2.mga10
+ Revision: 2219814
- Mageia 10 Mass Rebuild

* Wed Oct 25 2023 daviddavid <daviddavid> 1.1.1-1.mga10
+ Revision: 2001085
- initial package pdfmixtool

